참고: http://stackoverflow.com/questions/22489398/unsupported-major-minor-version-52-0


빌드는 1.8 JDK에서 해놓고 톰캣에 올려서 돌릴때는 1.7 JDK에서 돌린 경우 발생할 수도 있다고하는데
역시나.. ㅜ.ㅜ


OS: ubuntu 14.04

# update-alternatives --config java
대체 항목 java에 대해 (/usr/bin/java 제공) 3개 선택이 있습니다.

  선택       경로                                          우선순� 상태
------------------------------------------------------------
* 0            /usr/lib/jvm/java-8-oracle/jre/bin/java          1072      자동 모드
  1            /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java   1071      수동 모드
  2            /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java   1069      수동 모드
  3            /usr/lib/jvm/java-8-oracle/jre/bin/java          1072      수동 모드



# vi /etc/default/tomcat7

JAVA_HOME=/usr/lib/jvm/java-8-oracle


# service tomcat7 restart


 이제 정상 동작..


+ Recent posts